CryptoServicePermission (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javacardx.security
Class CryptoServicePermission

    java.lang.Object
      java.security.Permission
          java.security.BasicPermission
              javacardx.security.CryptoServicePermission

    @TransactionType(value=NOT_SUPPORTED)
    public final class CryptoServicePermission

extends BasicPermission

This class is for cryptographic service access permissions. A CryptoServicePermission contains a name (also referred to as a "target name") but no actions list; the named permission is either granted or not.

The target name is the name of the permission (see below). The naming convention follows the hierarchical property naming convention. Also, an asterisk may appear by itself, to signify a wildcard match and therefore designate all permission names.

The possible target names are in the form "{crypto service name}.{algorithm name}" or "{crypto service name}.{key algorithm name}.{key length}" where:

{crypto service name}
  is the name of the crypto service as defined by the `SERVICE_NAME` of the crypto service class (e.g., `javacard.security.Checksum.SERVICE_NAME` or `javacard.security.KeyBuilder.SERVICE_NAME`)
{algorithm name} or {key algorithm name}
  is the `String` name of the crypto algorithm as defined for each of the algorithm types supported by the crypto service class (e.g., `javacard.security.Checksum.ALG_ISO3309_CRC16` or `javacard.security.KeyBuilder.TYPE_DES_TRANSIENT_RESET`).
{key length}
  is the `String` value for the key length as defined for each of the key lengths supported by the crypto (i.e., key builder) service class (e.g., `javacard.security.KeyBuilder.LENGTH_DES3_2KEY`).

Examples of target names are: "checksum.ISO3309_CRC16", "keyBuilder.DES_TRANSIENT_RESET.*" or "keyBuilder.DES_TRANSIENT_RESET.128".

Since:
  Java Card 3.0
See Also:
  `Checksum.SERVICE_NAME`, `KeyAgreement.SERVICE_NAME`, `KeyBuilder.SERVICE_NAME`, `KeyPair.SERVICE_NAME`, `MessageDigest.SERVICE_NAME`, `RandomData.SERVICE_NAME`, `Signature.SERVICE_NAME`, `Cipher.SERVICE_NAME`, `BasicPermission`, `Permission`, `AccessController`, `AccessControlException`

Constructor Summary
`CryptoServicePermission(String name)` Creates a new CryptoServicePermission with the specified name.

Method Summary

Methods inherited from class java.security.BasicPermission
`equals, getActions, hashCode, implies`

Methods inherited from class java.security.Permission
`getName, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CryptoServicePermission

    public CryptoServicePermission(String name)

  Creates a new CryptoServicePermission with the specified name. The name is the symbolic name of the CryptoServicePermission, such as "checksum.ISO3309_CRC16", "keyBuilder.DES_TRANSIENT_RESET.*" or "keyBuilder.DES_TRANSIENT_RESET.128". An asterisk may be used to designates all the allowed symbolic names.

  Parameters:
    `name` - the name of the CryptoServicePermission.
  Throws:
    `NullPointerException` - if `name` is `null`.
    `SecurityException` - if `name` is not accessible in the caller's context.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.